#!/usr/bin/perl

############################################################################
# Perl port of FNORDKU.PAS, originally conceived by yours truly,
# m'Eniac Fuddlemeister of the Cloned Synapse
# in TPascal 7.0 (see http://www.lodz.pdi.net/%7Eeristic/erisware.html)
# ver 5.23
# 5 April 1997
#
# Also available:
# DOS version: http://www.lodz.pdi.net/~eristic/fnordku.zip
# Win95 version: http://www.lodz.pdi.net/~eristic/fnordku_perl.zip
#
# This script produces Discordian Automated Haikus, a.k.a. Fnordkus.
# Wordlist compiled from Principia Discordia.
# Do not use this script as toilet paper.
#
# Contact General Frenetics, Discorp. at <eristic@lodz.pdi.net>
#
# Thanks to Andy Seely (arseely@pobox.com) for the server space.
# (This means you will never have to fear the Illuminati, Andy!! :)
#
# This program is dedicated to Kristin Buxton, Countess Nichtgelbschneeessen,
# High Priestess of the Cult of the Sacred Tentacled Kiwi.
# (http://www.prairienet.org/~kkbuxton/discordia.html)
#
# Hail Eris! All Hail Discordia! Fnord?
############################################################################

############################################################################
# The way things work around here (or don't):
# 1. We generate 5 arrays. Each array contains a list of words
#    with the same number of syllables, hence 5 arrays for words
#    consisting of 1 to 5 syllables.
# 2. We look at the arrays to see how many words each contains.
# 3. We prepare a random grid. That is, for each of the three lines
#    of the haiku, we build a grid of syllables. The form of a haiku is
#    5 syllables / 7 syllables / 5 syllables. Here we split the 5-7-5 grid
#    into the actual word slots (e.g. 1+4 / 2+1+3+1 / 2+1+2, or something).
# 4. We create the haiku, by looking up the grid and selecting a random word
#    from the appropriate syllable array. If the grid says "2", we select a
#    random 2-syllable word. Easy, huh? Then we add the words together and
#    stick the lines into an array.
# 5. We print out the fnordku enveloped in HTML code.
############################################################################
# IMPORTANT Note to PERL wizards:
# Do _not_ read this code. Repeat, do _not_ even think of reading this code.
# This script was written by a Pascal-speaking person. The routines have been
# translated from my original Pascal source, and then Dumbed Down (tm),
# You do not want to see this code. It will cause you to quiver in pain
# and frustration. You have been warned.
############################################################################
# Another note: The word lists were built automatically. My syllable-count
# routines are *suboptimal*. Which means that sometimes a 4-syll word lives
# among 5-syll words, or so. Sorry. I'll update the word list when I can
# improve the syllable-recognition algorithm. Most of the time, however,
# Fnordku gets it right.
############################################################################

############################################################################
# CONFIGURATION
############################################################################
# The URL or path to the script itself.
# Primarily needed for the 'refresh' directive.
$url_to_self = "http://www.lodz.pdi.net/~eristic/fnordku.pl";

# The path to the images directory on my home server. The script fetches
# the background for the HTML document from there. Please DO replace it
# with your own URL.
$img_path = "http://www.lodz.pdi.net/~eristic/img";

# change as desired (seconds between refresh)
$refresh_rate = "23";

###########################################################################
# the main module.
###########################################################################

###########################################################################
# initialize the array values. (compile five word lists)
&prepare;

###########################################################################
# determine the number of words in each syllable-based list
&howmany;

###########################################################################
# prepare the haiku "grid" (ie select words lengths)
&preparegrid;

###########################################################################
# choose words according to syllable values
&createhaiku;

###########################################################################
# print haiku (this sub outputs all the html code)
&printhaiku;

###########################################################################
# All the SUBs are listed below
###########################################################################

sub printhaiku
{
$fnordkunumber = int( rand 55555 ) + 1;
# print "Content-type: text/html\n\n";
print <<ENDOFHTML;
<HTML><HEAD><TITLE>Fnordku $fnordkunumber, by General Frenetics, Discorp.</TITLE>
<META http-equiv="refresh" content="$refresh_rate; url=$url_to_self">
</HEAD>
<BODY BACKGROUND="$img_path/bg_ash.jpg" BGCOLOR="#005555" TEXT="#FFFFBB" LINK="#FFFF80" VLINK="#FFFFFF" ALINK="#FF0000">
<PRE>

</PRE>
<CENTER><TABLE WIDTH="80%" BORDER=5><TR align=center><TD>
<BIG>
ENDOFHTML

for ( $whichline=1; $whichline<4; $whichline++) {
    print "$haiku[$whichline]\n";
}

print <<ENDOFHTML;
</BIG></TD></TR></TABLE></CENTER>
<PRE>

</PRE>
<P align=center>This Fnordku regenerated for you every $refresh_rate seconds by <A HREF="http://www.lodz.pdi.net/~eristic/free/fnordku_perl.zip">FnordkuFlux</A>,
Perl script by m'Eniac, Lord High Fuddlemeister of the Cloned Synapse.</P>
<P align=center>Report back to <A HREF="http://www.lodz.pdi.net/%7Eeristic/erisware.html">Erisian Warez</A> now.</P>
<PRE>

</PRE>
</body></html>

ENDOFHTML
} # printhaiku

sub createhaiku
{
# (I insist on having all my variables initialized, sorry for that :)
@haiku = ( " ", " ", " " );
$haikuline1 = "";
$haikuline2 = "";
$haikuline3 = "";


# first line

   # repeat the loop until the syllable count is zero (end of line)
   $thisword = 1;
   do {
    # find out the number of syllables for the word
   $sylcnt = $line1[$thisword];

   # select a random word from the appropriate list
   # (choose list based on $sylcnt)

   if ($sylcnt == 1) {
    $randword = (int(rand $num_onesyl) + 1);
      $haikuword = $onesyl[$randword];
   }

   if ($sylcnt == 2) {
    $randword = (int(rand $num_twosyl) + 1);
      $haikuword = $twosyl[$randword];
   }

   if ($sylcnt == 3) {
    $randword = (int(rand $num_threesyl) + 1);
      $haikuword = $threesyl[$randword];
   }

   if ($sylcnt == 4) {
    $randword = (int(rand $num_foursyl) + 1);
      $haikuword = $foursyl[$randword];
   }

   if ($sylcnt == 5) {
    $randword = (int(rand $num_fivesyl) + 1);
      $haikuword = $fivesyl[$randword];
   }

   $haikuline1 = "$haikuline1 $haikuword";
   $thisword++;
   }
   while ($line1[$thisword] != 0);

   $haiku[1] = "$haikuline1 <BR>";

# second line
   # repeat the loop until the syllable count is zero (end of line)
   $thisword = 1;
   do {
   # find out the number of syllables for the word
   $sylcnt = $line2[$thisword];

   # select a random word from the appropriate list
   # (choose list based on $sylcnt)

   if ($sylcnt == 1) {
    $randword = (int(rand $num_onesyl) + 1);
      $haikuword = $onesyl[$randword];
   }

   if ($sylcnt == 2) {
    $randword = (int(rand $num_twosyl) + 1);
      $haikuword = $twosyl[$randword];
   }

   if ($sylcnt == 3) {
    $randword = (int(rand $num_threesyl) + 1);
      $haikuword = $threesyl[$randword];
   }

   if ($sylcnt == 4) {
    $randword = (int(rand $num_foursyl) + 1);
      $haikuword = $foursyl[$randword];
   }

   if ($sylcnt == 5) {
    $randword = (int(rand $num_fivesyl) + 1);
      $haikuword = $fivesyl[$randword];
   }

   $haikuline2 = "$haikuline2 $haikuword";

   $thisword++;
   }
   while ($line2[$thisword] != 0);

   $haiku[2] = "$haikuline2 <BR>";



# third line
   # repeat the loop until the syllable count is zero (end of line)
   $thisword = 1;
   do {
    # find out the number of syllables for the word
   $sylcnt = $line3[$thisword];

   # select a random word from the appropriate list
   # (choose list based on $sylcnt)

   if ($sylcnt == 1) {
    $randword = (int(rand $num_onesyl) + 1);
      $haikuword = $onesyl[$randword];
   }

   if ($sylcnt == 2) {
    $randword = (int(rand $num_twosyl) + 1);
      $haikuword = $twosyl[$randword];
   }

   if ($sylcnt == 3) {
    $randword = (int(rand $num_threesyl) + 1);
      $haikuword = $threesyl[$randword];
   }

   if ($sylcnt == 4) {
    $randword = (int(rand $num_foursyl) + 1);
      $haikuword = $foursyl[$randword];
   }

   if ($sylcnt == 5) {
    $randword = (int(rand $num_fivesyl) + 1);
      $haikuword = $fivesyl[$randword];
   }

   $haikuline3 = "$haikuline3 $haikuword";

   $thisword++;
   }
   while ($line3[$thisword] != 0);

   $haiku[3] = "$haikuline3 <BR>";

}


sub howmany
{
    $num_onesyl    = scalar(@onesyl);
    $num_twosyl    = scalar(@twosyl);
    $num_threesyl  = scalar(@threesyl);
    $num_foursyl   = scalar(@foursyl);
    $num_fivesyl   = scalar(@fivesyl);
}

sub preparegrid
{
srand;

# We fill the grid with zeros... Each line is one syllable longer than a haiku
# should have. We use this when printing - instead of remembering how many words
# our new haiku has, we just print everything out until we see the leftover zero
# in the superfluous slot.
$count = 0;
do {
   $count++;
   $line1[$count] = 0;
   $line2[$count] = 0;
   $line3[$count] = 0;
}
while ($count < 8);


# line 1
$total = 0;
$max = 5;
$e = 0;
$a = 0;
while(1) {
   $e = (int(rand $max)) + 1;
   $total += $e;
   $a++;
   $line1[$a] = $e;
   $max -= $e;
   if ($max <=0 ) { last; }
   if ($total >=5 ) { last; }}


# line 1
$total = 0;
$max = 7;
$e = 0;
$a = 0;
while(1) {
    do {
        $e = (int(rand $max)) + 1;}
   while ( $e > 5 );
   $total += $e;
   $a++;
   $line2[$a] = $e;
   $max -= $e;
   if ($max <=0 ) { last; }
   if ($total >=7 ) { last; }}

# line 3
$total = 0;
$max = 5;
$e = 0;
$a = 0;
while(1) {
   $e = (int(rand $max)) + 1;
   $total += $e;
   $a++;
   $line3[$a] = $e;
   $max -= $e;
   if ($max <=0 ) { last; }
   if ($total >=5 ) { last; }}
}


# This is where we create the word-list arrays
# (Scrolling down this list may induce indigestion and spoiling of fun, so don't :)
# Let's just say... have you ever tried SPELLCHECKING Principia Discordia?!
sub prepare
{
@onesyl = ("a",
"act",
"acts",
"ad",
"add",
"adds",
"ads",
"aft",
"age",
"ago",
"ah",
"ail",
"aims",
"ain\'t",
"air",
"all",
"am",
"an",
"and",
"any",
"are",
"arm",
"arms",
"art",
"as",
"ask",
"ass",
"at",
"aunt",
"awe",
"back",
"bad",
"ball",
"ban",
"band",
"bands",
"bank",
"banks",
"bar",
"bash",
"bays",
"be",
"beach",
"beans",
"bear",
"beard",
"beast",
"beasts",
"beat",
"bed",
"beds",
"beef",
"been",
"beer",
"being",
"beings",
"ben",
"bends",
"bent",
"best",
"bet",
"bey",
"beyond",
"bid",
"big",
"bills",
"birth",
"bit",
"black",
"blank",
"blight",
"blimps",
"blind",
"block",
"blow",
"blows",
"blue",
"blurb",
"board",
"bob",
"bohr",
"bomb",
"book",
"books",
"boom",
"boot",
"born",
"boss",
"both",
"bound",
"bow",
"box",
"boys",
"brag",
"brain",
"brains",
"brass",
"bread",
"bring",
"broad",
"brooks",
"brought",
"buck",
"bucks",
"bud",
"buffs",
"build",
"built",
"bull",
"bum",
"bunch",
"bunk",
"buns",
"burn",
"burr",
"burst",
"bush",
"but",
"buy",
"buying",
"buzz",
"by",
"c/o",
"call",
"calls",
"camp",
"can",
"can\'t",
"cap",
"card",
"cards",
"cast",
"cat",
"cat\'s",
"catch",
"caught",
"chain",
"chains",
"chant",
"chants",
"chao",
"chaoist",
"chaos",
"chap",
"chart",
"check",
"cheek",
"cheeks",
"chest",
"chests",
"chi",
"chick",
"chief",
"chiefs",
"child",
"christ",
"chuang",
"chunks",
"church",
"clad",
"claim",
"claims",
"clamps",
"class",
"clear",
"clench",
"clerk",
"climb",
"clock",
"clown",
"clowns",
"clubs",
"clue",
"coast",
"coins",
"cold",
"con",
"kong",
"cool",
"cop",
"cops",
"cord",
"cords",
"corn",
"corps",
"corps",
"could",
"couldn\'t",
"count",
"cow",
"crack",
"crap",
"crass",
"creed",
"creeds",
"crew",
"criss",
"crooks",
"crop",
"cross",
"crow",
"crowd",
"cuffs",
"cult",
"cut",
"daft",
"damn",
"dark",
"das",
"dawn",
"day",
"days",
"dead",
"deaf",
"deal",
"dealt",
"dear",
"death",
"deck",
"deep",
"dell",
"dent",
"desk",
"dick",
"did",
"didn\'t",
"die",
"died",
"dig",
"dill",
"dis",
"do",
"doe",
"does",
"doesn\'t",
"dog",
"dogs",
"doing",
"doings",
"dolls",
"dolt",
"don",
"don\'t",
"doom",
"door",
"dot",
"doth",
"dots",
"doubt",
"down",
"downs",
"drag",
"draw",
"drawn",
"dream",
"dreamed",
"dress",
"drink",
"drop",
"drought",
"drug",
"drugs",
"drunk",
"dub",
"duck",
"due",
"duel",
"dull",
"dumb",
"dunk",
"dust",
"dwarfs",
"dwell",
"dying",
"each",
"earn",
"earth",
"earth\'s",
"east",
"eat",
"eats",
"elf",
"end",
"ends",
"etc",
"eye",
"eyes",
"fact",
"facts",
"fails",
"fair",
"faith",
"faiths",
"fall",
"falls",
"fang",
"fans",
"far",
"fast",
"fault",
"fbi",
"fear",
"feast",
"feel",
"feet",
"fell",
"felt",
"fend",
"few",
"field",
"fifth",
"fight",
"fill",
"fin",
"find",
"firm",
"first",
"fist",
"fists",
"fit",
"flag",
"flash",
"flat",
"flax",
"flock",
"flood",
"floor",
"floors",
"fly",
"flyers",
"flying",
"fnord",
"fnords",
"foam",
"fold",
"folds",
"fool",
"fools",
"foot",
"for",
"form",
"forms",
"fort",
"forth",
"found",
"four",
"fourth",
"fray",
"freak",
"freaks",
"fred",
"free",
"french",
"friend",
"friends",
"from",
"front",
"fronts",
"fruits",
"fuck",
"full",
"fun",
"fund",
"funds",
"gags",
"gain",
"gall",
"gang",
"gear",
"gen",
"geo",
"get",
"gets",
"girl",
"girls",
"gland",
"glands",
"gleam",
"gnows",
"go",
"goats",
"god",
"god\'s",
"gods",
"goes",
"going",
"gold",
"golf",
"good",
"gooks",
"got",
"graft",
"grand",
"grant",
"grasp",
"grass",
"great",
"greek",
"greeks",
"green",
"greet",
"greg",
"grew",
"grey",
"grid",
"grids",
"grim",
"grin",
"grips",
"gross",
"ground",
"grounds",
"group",
"groups",
"grow",
"grows",
"guard",
"guess",
"guff",
"gulfs",
"guy",
"guys",
"ha",
"had",
"hail",
"hair",
"half",
"hall",
"halt",
"hand",
"hands",
"hang",
"hard",
"hark",
"harm",
"harp",
"harsh",
"has",
"hat",
"he",
"he\'ll",
"he\'s",
"head",
"heads",
"heaps",
"hear",
"heard",
"heart",
"hearts",
"heat",
"height",
"held",
"hell",
"help",
"helps",
"her",
"herb",
"hey",
"high",
"hill",
"hills",
"him",
"hip",
"his",
"hit",
"ho",
"hoax",
"hold",
"holds",
"hooves",
"horns",
"hot",
"hour",
"hours",
"how",
"how\'s",
"huey",
"hung",
"hurt",
"hymn",
"i",
"i\'d",
"i\'ll",
"i\'m",
"i\'ve",
"ibm",
"ice",
"if",
"ike",
"ilk",
"ill",
"in",
"inc",
"inch",
"ion",
"iq",
"irc",
"is",
"isn\'t",
"ist",
"it",
"it\'s",
"its",
"jab",
"jack",
"jeans",
"jets",
"jfk",
"jim",
"job",
"jobs",
"joe",
"john",
"join",
"joint",
"josh",
"joy",
"juan",
"jug",
"jump",
"jumps",
"junk",
"just",
"keen",
"keep",
"keeps",
"ken",
"kept",
"key",
"keys",
"kids",
"kill",
"kind",
"kinds",
"king",
"kings",
"knew",
"knight",
"knights",
"knock",
"know",
"known",
"knows",
"kong",
"lack",
"lad",
"laid",
"lamb",
"lamp",
"land",
"last",
"laugh",
"law",
"laws",
"lay",
"layout",
"leads",
"leak",
"learn",
"least",
"led",
"lee",
"left",
"leg",
"length",
"less",
"let",
"let\'s",
"lick",
"lie",
"lies",
"lift",
"light",
"lights",
"limb",
"links",
"list",
"load",
"long",
"look",
"looks",
"lord",
"lost",
"lot",
"lots",
"loud",
"luck",
"lurks",
"lying",
"mad",
"mail",
"main",
"man",
"man\'s",
"mao",
"mar",
"march",
"mark",
"marx",
"mass",
"mast",
"may",
"maya",
"mayan",
"me",
"mean",
"means",
"meant",
"meat",
"meet",
"melts",
"men",
"mess",
"met",
"mid",
"might",
"milk",
"mind",
"minds",
"mirth",
"monk",
"monks",
"month",
"months",
"moo",
"mood",
"moods",
"moon",
"moon\'s",
"most",
"mound",
"mount",
"mouth",
"mr",
"mu",
"much",
"mud",
"mung",
"must",
"my",
"myth",
"myths",
"nail",
"\'nam",
"neal",
"near",
"neat",
"neck",
"need",
"needs",
"neigh",
"nails",
"neon",
"net",
"new",
"news",
"next",
"night",
"nights",
"nil",
"no",
"non",
"nooks",
"nor",
"not",
"now",
"nuns",
"o",
"oath",
"odd",
"of",
"off",
"offs",
"oh",
"oil",
"ok",
"ol\'",
"old",
"on",
"one",
"or",
"ought",
"our",
"ours",
"out",
"own",
"owns",
"oz",
"packs",
"pads",
"paid",
"pain",
"pair",
"pairs",
"palm",
"pan",
"park",
"parks",
"part",
"parts",
"pass",
"past",
"path",
"paths",
"paul",
"pawn",
"pay",
"paying",
"pays",
"peak",
"pen",
"per",
"peyotl",
"pi",
"pick",
"picks",
"pier",
"pig",
"pink",
"pins",
"pit",
"pitch",
"plan",
"plans",
"plant",
"plants",
"play",
"played",
"playing",
"plays",
"pliers",
"ploy",
"plus",
"poe",
"poee",
"poem",
"poet",
"point",
"points",
"poll",
"pool",
"poop",
"poor",
"pop",
"pork",
"post",
"pound",
"pounds",
"pray",
"prayed",
"prayer",
"praying",
"preach",
"press",
"priest",
"priests",
"print",
"prior",
"proof",
"proofs",
"proud",
"pull",
"pulls",
"pun",
"punch",
"push",
"put",
"quack",
"queen",
"queens\'",
"quest",
"quick",
"quiet",
"rains",
"ram",
"ran",
"ranch",
"rank",
"rant",
"rap",
"reach",
"read",
"reads",
"real",
"ream",
"red",
"reins",
"rest",
"rev",
"rhythm",
"rhythms",
"rid",
"right",
"rights",
"ring",
"rings",
"rip",
"roach",
"road",
"rock",
"rocks",
"rod",
"room",
"root",
"roots",
"rounds",
"rows",
"royal",
"rub",
"run",
"rung",
"rye",
"said",
"saint",
"saints",
"salt",
"sam",
"sand",
"sands",
"sank",
"saw",
"say",
"sayer",
"saying",
"sayings",
"says",
"school",
"schools",
"scratch",
"screen",
"screw",
"scroll",
"seal",
"seals",
"search",
"seats",
"sect",
"see",
"seed",
"seed\'s",
"seeds",
"seeing",
"seek",
"seem",
"seemed",
"seems",
"seen",
"seers",
"sees",
"self",
"sell",
"send",
"sends",
"sent",
"set",
"sex",
"sez",
"sgt",
"shall",
"shalt",
"sham",
"she",
"shea",
"sheep",
"sheet",
"shit",
"shoes",
"shook",
"short",
"shot",
"should",
"show",
"shown",
"shrink",
"shut",
"sick",
"sign",
"signs",
"sikh",
"silk",
"sin",
"sing",
"sink",
"sinks",
"sins",
"sir",
"sit",
"sits",
"six",
"skill",
"skin",
"skip",
"sky",
"slack",
"slain",
"sleep",
"slept",
"slim",
"slush",
"small",
"snaps",
"snow",
"snub",
"so",
"so\'n",
"soak",
"soap",
"soft",
"son",
"song",
"sons",
"soon",
"sort",
"sorts",
"sought",
"soul",
"souls",
"sound",
"sounds",
"spain",
"spans",
"spawns",
"speak",
"speaks",
"speech",
"speed",
"spend",
"split",
"sport",
"spot",
"spread",
"springs",
"squaw",
"squeals",
"stacks",
"staff",
"stairs",
"stamp",
"stamps",
"stan",
"stand",
"star",
"stark",
"stars",
"start",
"stash",
"staunch",
"stay",
"staying",
"steal",
"stem",
"step",
"steps",
"stew",
"stick",
"sticks",
"stiff",
"still",
"stood",
"stop",
"straight",
"street",
"streets",
"stretch",
"strong",
"struck",
"strung",
"stuck",
"stuff",
"such",
"sues",
"suit",
"suits",
"sum",
"sun",
"sung",
"sunk",
"surf",
"swaying",
"swear",
"swears",
"sweep",
"sweet",
"swell",
"swept",
"swing",
"swirl",
"swiss",
"sword",
"tab",
"tacks",
"tags",
"talk",
"tank",
"tao",
"taoism",
"taoist",
"taoists",
"task",
"taught",
"tax",
"tea",
"teach",
"tear",
"tears",
"teeth",
"tell",
"tells",
"ten",
"tens",
"term",
"test",
"tests",
"text",
"than",
"thank",
"that",
"that\'s",
"the",
"theft",
"their",
"them",
"then",
"they",
"they\'ll",
"thing",
"things",
"think",
"thinks",
"third",
"this",
"thou",
"though",
"thought",
"thoughts",
"three",
"threw",
"through",
"throw",
"thrown",
"thud",
"thus",
"tier",
"till",
"tip",
"to",
"toe",
"told",
"tome",
"tomb",
"tong",
"tons",
"too",
"took",
"top",
"torn",
"toss",
"touch",
"toughs",
"tract",
"tracts",
"train",
"traits",
"trap",
"trash",
"treat",
"trial",
"trick",
"tried",
"tries",
"trim",
"trip",
"troy",
"truck",
"true",
"trunks",
"trust",
"truth",
"truths",
"try",
"trying",
"turn",
"turn\'d",
"turns",
"tusks",
"tv",
"twin",
"two",
"tzu",
"up",
"us",
"usa",
"use",
"van",
"vast",
"vaults",
"veils",
"via",
"viet",
"view",
"void",
"vow",
"vvm",
"wait",
"walk",
"wall",
"walls",
"walt",
"want",
"wants",
"war",
"wards",
"warm",
"warn",
"warns",
"wars",
"was",
"wasn\'t",
"watch",
"watts",
"way",
"ways",
"we",
"weak",
"wealth",
"wear",
"wears",
"week",
"week\'s",
"weeks",
"weep",
"weird",
"well",
"welt",
"went",
"west",
"wet",
"what",
"what\'s",
"when",
"which",
"who",
"whoa",
"who\'s",
"whom",
"why",
"wild",
"will",
"wills",
"wind",
"wish",
"wit",
"with",
"wits",
"woe",
"won",
"won\'t",
"wood",
"word",
"words",
"work",
"works",
"world",
"world\'s",
"worm",
"worse",
"worst",
"worth",
"would",
"wouldn\'t",
"wouldst",
"wrap",
"wrath",
"writs",
"wrong",
"yachts",
"yah",
"yang",
"yard",
"yards",
"yarns",
"ye",
"yeah",
"year",
"years",
"yell",
"yer",
"yes",
"yet",
"yin",
"yog",
"york",
"you",
"young",
"your",
"yours",
"zen",
"zeus" );


@twosyl = ("aaron",
"abbey",
"abdul",
"abide",
"able",
"about",
"above",
"absurd",
"accept",
"access",
"accord",
"accords",
"account",
"acid",
"across",
"action",
"actions",
"actors",
"actual",
"acute",
"adam",
"added",
"adding",
"address",
"adept",
"adjust",
"adrift",
"affair",
"affairs",
"afflux",
"afraid",
"after",
"again",
"against",
"agents",
"ages",
"aging",
"agnew",
"agree",
"agreed",
"agrees",
"aiming",
"alas",
"albeit",
"albert",
"alert",
"aliens",
"alley",
"alleys",
"allnight",
"almost",
"aloft",
"along",
"aloud",
"also",
"altar",
"although",
"always",
"amid",
"among",
"ancient",
"ancients",
"and/or",
"andreas",
"angel",
"angels",
"anger",
"angry",
"annoy",
"annoying",
"answer",
"answers",
"anti",
"anton",
"apart",
"aplomb",
"appear",
"appears",
"apple",
"applies",
"appoint",
"approach",
"ares",
"agree",
"argue",
"arguing",
"armed",
"armor",
"around",
"array",
"arrows",
"artist",
"artists",
"aryan",
"ascii",
"asked",
"asking",
"aspects",
"assets",
"astral",
"atheist",
"atoms",
"attack",
"attempt",
"attempts",
"attend",
"author",
"authors",
"avoid",
"away",
"awed",
"aztec",
"baby",
"background",
"backward",
"backwards",
"backyard",
"bade",
"badly",
"baghdad",
"balloon",
"balloons",
"banger",
"banging",
"bankers",
"banquet",
"baptism",
"barbed",
"bare",
"barnum",
"barnyard",
"barracks",
"barrel",
"base",
"based",
"basic",
"bathroom",
"battle",
"battles",
"bearing",
"beasties",
"beating",
"beauty",
"beaver",
"bedded",
"bedding",
"began",
"begat",
"beget",
"begin",
"begins",
"behalf",
"behind",
"behold",
"belief",
"beliefs",
"belong",
"below",
"beneath",
"bengal",
"bereft",
"beret",
"beseech",
"better",
"between",
"biased",
"bible",
"bicker",
"bigger",
"biggest",
"bigots",
"bikers",
"billing",
"binding",
"birchers",
"birthday",
"bishop",
"bitchy",
"bitter",
"blame",
"blaming",
"blessed",
"blinded",
"blinding",
"bloody",
"blowing",
"blueprint",
"blunder",
"boasting",
"bobby",
"body",
"bombast",
"bombing",
"bone",
"bore",
"bored",
"borne",
"bosom",
"bosoms",
"bothers",
"bottom",
"bounce",
"bourbon",
"bowed",
"bowels",
"bowlers",
"bowling",
"boxes",
"brainchild",
"branches",
"brave",
"braves",
"brazil",
"breakthrough",
"breeze",
"breton",
"bribe",
"bride",
"bridge",
"briefly",
"bringing",
"british",
"broadsheets",
"broiled",
"broke",
"broken",
"brooklyn",
"brother",
"brothers",
"bruised",
"brunswick",
"buddha",
"buddhism",
"buddhist",
"buddhists",
"buddy",
"buggy",
"building",
"bullshit",
"bumpkins",
"burden",
"bureau",
"burglar",
"buried",
"burma",
"burned",
"burning",
"burroughs",
"bury",
"busied",
"busy",
"buttocks",
"button",
"buttons",
"cabal",
"cabals",
"cabled",
"cages",
"cairo",
"calif",
"called",
"calling",
"calmed",
"camden",
"came",
"cannot",
"canto",
"canyon",
"caper",
"captain",
"carcass",
"cardan",
"care",
"cargo",
"carried",
"carries",
"carrot",
"carry",
"carrying",
"carved",
"case",
"casual",
"catching",
"cause",
"caused",
"causes",
"causing",
"caution",
"cautious",
"cave",
"cease",
"ceased",
"ceases",
"censors",
"center",
"certain",
"chadwick",
"chairman",
"chamber",
"chance",
"chances",
"change",
"changed",
"changes",
"changing",
"channel",
"chanted",
"chanting",
"chaoflux",
"chaos",
"chaplin",
"chapter",
"chapters",
"charge",
"chariot",
"charles",
"charlie\'s",
"checking",
"cherish",
"chessboard",
"chicken",
"children",
"chilly",
"china",
"chintzed",
"choices",
"choose",
"chorus",
"chose",
"christian",
"christians",
"chunky",
"churches",
"churchill",
"cigar",
"circa",
"circle",
"circles",
"circuit",
"circus",
"cite",
"cities",
"city",
"ciudad",
"civil",
"claimed",
"clapping",
"classic",
"clause",
"clearer",
"clearly",
"close",
"closed",
"closet",
"clothes",
"clumsy",
"code",
"coded",
"coffee",
"collect",
"column",
"combat",
"come",
"comes",
"comic",
"coming",
"comments",
"commit",
"common",
"complain",
"compounds",
"conan",
"concept",
"concepts",
"conclude",
"condom",
"conduct",
"conflicts",
"congress",
"connect",
"conscious",
"constant",
"consult",
"contact",
"contacts",
"contempt",
"contents",
"contest",
"contrast",
"control",
"convent",
"convert",
"converts",
"convicts",
"copies",
"copy",
"corner",
"corners",
"corpse",
"corpses",
"correct",
"cosa",
"cosmic",
"council",
"counted",
"counter",
"counting",
"countries",
"country",
"couple",
"course",
"courses",
"cousins",
"cover",
"covers",
"covet",
"cowboy",
"cower",
"cracked",
"cracking",
"cradle",
"crafty",
"cranked",
"crashing",
"crazy",
"create",
"created",
"creates",
"creating",
"creations",
"creeping",
"crime",
"cringe",
"crises",
"crisis",
"crowned",
"crumbling",
"crypto",
"culbert",
"cumhu",
"curious",
"current",
"curse",
"custer",
"cycles",
"cypher",
"cyphers",
"dabble",
"dagger",
"dallas",
"damned",
"dance",
"dancing",
"danger",
"dare",
"darkness",
"dashing",
"date",
"daughter",
"daughters",
"dazed",
"dazzle",
"dazzling",
"deacon",
"deacons",
"deadpan",
"dealing",
"decree",
"decreed",
"decrees",
"deeper",
"deeply",
"defeat",
"degrees",
"deities",
"deity",
"delight",
"demand",
"demands",
"denied",
"deny",
"depict",
"depicts",
"descends",
"desert",
"design",
"desist",
"destroy",
"devil",
"devils",
"devoid",
"devout",
"dewitt",
"dexter",
"diagram",
"diego",
"differ",
"digging",
"dingbats",
"dipper",
"directs",
"discord",
"discords",
"disgust",
"disord",
"dispatch",
"display",
"district",
"distrust",
"dobbswork",
"doctor",
"doctors",
"dodge",
"dogma",
"dogmas",
"dollars",
"done",
"donna",
"dragon",
"drawer",
"drawings",
"dreamed",
"drinking",
"drive",
"driver",
"drivers",
"drives",
"driving",
"dropout",
"dropped",
"dropping",
"dubbed",
"dueling",
"dune",
"during",
"duty",
"dwelling",
"eager",
"earlier",
"earliest",
"early",
"earshot",
"earthly",
"earthman",
"eastern",
"easy",
"eating",
"edge",
"effect",
"effects",
"effort",
"efforts",
"einstein",
"either",
"elder",
"elias",
"elliot",
"else",
"emblems",
"empty",
"english",
"enjoyed",
"enjoying",
"enough",
"entail",
"enter",
"enters",
"equal",
"equals",
"eras",
"eric",
"eris",
"eros",
"errands",
"errors",
"erstic",
"essay",
"ethic",
"ethics",
"evans",
"even",
"event",
"ever",
"evil",
"evils",
"exact",
"except",
"excerpts",
"exclaim",
"exert",
"exist",
"exists",
"expand",
"expect",
"expects",
"explain",
"explains",
"export",
"express",
"extant",
"extra",
"extract",
"eyeball",
"ezra",
"face",
"facing",
"factsheet",
"factual",
"failed",
"fairy",
"faithful",
"fake",
"false",
"fame",
"famous",
"farmers",
"fashion",
"fate",
"father",
"favors",
"feared",
"fearing",
"feather",
"feeble",
"feeling",
"fellow",
"fenders",
"fete",
"fifties",
"fifty",
"fighting",
"file",
"filed",
"files",
"filing",
"filled",
"filler",
"finder",
"finding",
"fine",
"finger",
"fire",
"fired",
"firmly",
"five",
"fives",
"flawless",
"flemish",
"flocked",
"flourish",
"flower",
"flowers",
"flowing",
"fodder",
"foiled",
"follow",
"follows",
"fooled",
"foolish",
"force",
"forces",
"fore",
"forest",
"forget",
"forgot",
"formal",
"formed",
"forward",
"forwards",
"founded",
"founder",
"founding",
"frame",
"franca",
"france",
"franklin",
"franklin\'s",
"freedom",
"freely",
"freezing",
"frenchman",
"frenzy",
"frequent",
"friction",
"friday",
"fridays",
"friendly",
"friendship",
"frighten",
"fringe",
"frozen",
"fucking",
"fullback",
"fully",
"function",
"functions",
"funnier",
"funny",
"further",
"fury",
"gained",
"galbraith",
"game",
"games",
"ganga",
"garcia",
"garment",
"gates",
"gave",
"genius",
"genre",
"gentle",
"george",
"german",
"germans",
"getting",
"ghastly",
"giantess",
"giggle",
"gilded",
"girlfriend",
"give",
"given",
"giver",
"gives",
"giving",
"glance",
"glared",
"glimpsed",
"glitter",
"glomming",
"glory",
"gloves",
"gnome",
"gnostic",
"gobble",
"goddess",
"goddess\'",
"golden",
"gone",
"goofy",
"goose",
"gory",
"gospel",
"gossip",
"grabbed",
"grade",
"gradual",
"graham",
"grande",
"grandeur",
"grandly",
"graphic",
"graphics",
"grave",
"graven",
"graves",
"grazing",
"greater",
"greatest",
"greatly",
"greco",
"greeted",
"grounded",
"grouped",
"grove",
"growing",
"guessing",
"guide",
"guides",
"guido",
"guilty",
"gulik",
"gumming",
"gurus",
"gypsie",
"habit",
"hagbard",
"haircut",
"hairdo",
"haitian",
"hakim",
"hallway",
"handbook",
"handfull",
"handle",
"handling",
"handy",
"happen",
"happens",
"happier",
"happy",
"harder",
"hardly",
"harming",
"harmless",
"harry",
"harvey",
"hassan",
"hate",
"hated",
"hates",
"hating",
"hatred",
"haunted",
"have",
"having",
"hayseeds",
"headed",
"header",
"healthy",
"hearing",
"heartbeat",
"heartland",
"hearty",
"heathen",
"heating",
"heaven",
"heavens",
"heavy",
"hebrew",
"hecklers",
"heighten",
"helen",
"heller",
"helmet",
"helped",
"helter",
"hemlock",
"hence",
"henry",
"hera",
"herald",
"here",
"herein",
"herman",
"hermes",
"hermit",
"hermits",
"heroic",
"herself",
"hesse",
"heute",
"hidden",
"hide",
"hideous",
"higher",
"highest",
"himself",
"hindic",
"hinduism",
"hipers",
"hippies",
"hippy",
"hobbies",
"hobby",
"hodge",
"holding",
"hole",
"holes",
"holey",
"hollow",
"holy",
"home",
"honest",
"honor",
"hoodlums",
"hoodoo",
"hooting",
"hope",
"hopes",
"hopped",
"hopping",
"horde",
"horse",
"hotdog",
"hotel",
"house",
"houses",
"huddle",
"huge",
"human",
"humbly",
"humor",
"hunchbrain",
"hundred",
"hundreds",
"hundredth",
"hunting",
"hurry",
"hurting",
"husband",
"huzzahs",
"hyde",
"hype",
"hypoc",
"hypoc\'s",
"i\'ve",
"icons",
"idea",
"ideal",
"ideas",
"idol",
"illness",
"illos",
"import",
"inches",
"indeed",
"indian",
"inert",
"infant",
"inform",
"informs",
"inner",
"insight",
"insist",
"install",
"instead",
"intend",
"inter",
"into",
"invent",
"ion",
"isaiah",
"islam",
"isle",
"issue",
"issued",
"issues",
"itself",
"ivan",
"jackets",
"jackson",
"jake",
"jakes",
"james",
"jane",
"japan",
"jealous",
"jersey",
"jesse",
"jesus",
"jewish",
"johnny",
"johnson",
"joined",
"joining",
"jokes",
"jonses",
"joseph",
"joshu",
"joshua",
"journal",
"joyce\'s",
"joyful",
"joyously",
"judaism",
"judge",
"july",
"jumping",
"junior",
"kabal",
"kali",
"karen",
"kavak",
"keeper",
"keepers",
"keeping",
"kelly",
"kenneth",
"kerry",
"kerry\'s",
"kesey",
"keyboard",
"khaki",
"kicked",
"killing",
"kindly",
"kingdom",
"kitchen",
"knower",
"knowing",
"korean",
"labor",
"labors",
"ladder",
"lady",
"lake",
"lama",
"lance",
"lancing",
"landlords",
"lane",
"larchmont",
"large",
"larger",
"laser",
"lasted",
"lastly",
"late",
"later",
"latin",
"latter",
"laughing",
"laughter",
"laurel",
"leader",
"leaflets",
"league",
"leaning",
"learned",
"leary",
"leary\'s",
"leave",
"leaves",
"legend",
"legion",
"lehman",
"lena",
"lennon",
"lepers",
"lesbos",
"lesser",
"lesson",
"letter",
"letters",
"level",
"levels",
"levy",
"liable",
"liaison",
"life",
"lighter",
"lighting",
"like",
"liked",
"likes",
"limbo",
"lincoln",
"linda",
"line",
"liner",
"lines",
"lingua",
"listed",
"listens",
"listing",
"little",
"live",
"lives",
"living",
"lobbies",
"local",
"locked",
"locker",
"lodge",
"london",
"longer",
"looked",
"loose",
"lore",
"losses",
"lotus",
"loudly",
"love",
"lovin",
"loving",
"lower",
"lowest",
"lucky",
"lucy",
"lurking",
"luther",
"luther\'s",
"ma\'am",
"madam",
"made",
"madman",
"madness",
"magic",
"magoun",
"magoun\'s",
"mailed",
"mailing",
"mailman",
"mainly",
"mainstream",
"major",
"make",
"maker",
"makes",
"making",
"male",
"males",
"malik",
"mamon",
"manhunt",
"maniacs",
"mankind",
"manner",
"mansion",
"mantain",
"many",
"margins",
"market",
"married",
"mary",
"masons",
"masses",
"master",
"master\'s",
"masters",
"matrix",
"matter",
"matters",
"maybe",
"mcdonald",
"meanders",
"meanest",
"meaning",
"mecca",
"media",
"medium",
"meeker",
"meeting",
"meetings",
"melee",
"member",
"members",
"memo",
"mendel\'s",
"mental",
"mention",
"merchant",
"mere",
"merry",
"messiah",
"messing",
"metal",
"method",
"methods",
"mickey",
"middle",
"midlands",
"midnight",
"midtown",
"midwest",
"mighter",
"mighty",
"mike",
"miles",
"million",
"mindfuck",
"mine",
"mirror",
"mirrors",
"missed",
"missing",
"mission",
"mixed",
"mixing",
"moby",
"model",
"modes",
"modest",
"mojo",
"mojo\'s",
"moldy",
"moment",
"moments",
"mondo",
"money",
"monkey",
"monroe",
"monster\'s",
"monty",
"moorish",
"moral",
"more",
"morgens",
"mormon",
"mormons",
"morning",
"mornings",
"moron",
"mortals",
"moses",
"mostly",
"mother",
"mothers",
"motion",
"motions",
"motor",
"motto",
"mountain",
"mountains",
"mouse",
"moved",
"moves",
"moving",
"mullah",
"mumbled",
"munching",
"mungday",
"mungo",
"murky",
"muscle",
"music",
"muzzle",
"myself",
"naive",
"naked",
"name",
"named",
"names",
"naming",
"nansen",
"nansen\'s",
"nasty",
"nations",
"nazis",
"nearby",
"nearly",
"neatly",
"nectar",
"needed",
"neighbor",
"neighbor\'s",
"neither",
"network",
"neutral",
"never",
"newly",
"nice",
"nietzsche",
"nifty",
"ninny",
"nipples",
"nixon",
"noises",
"none",
"nonstop",
"nope",
"norbert",
"normal",
"northern",
"norton",
"norton\'s",
"nose",
"nosed",
"nostra",
"note",
"noted",
"notes",
"nothing",
"noting",
"notion",
"nova",
"nuclear",
"nude",
"number",
"numbers",
"o\'er",
"obey",
"object",
"objects",
"obvious",
"occult",
"occurs",
"oceans",
"offa",
"offer",
"offers",
"often",
"ohio",
"oinking",
"olaus",
"oldest",
"omar",
"omar\'s",
"omat",
"once",
"ones",
"only",
"onto",
"onward",
"onwards",
"open",
"opens",
"opium",
"orbit",
"ordain",
"ordains",
"ordeal",
"order",
"orders",
"organ",
"orgy",
"orient",
"orleans",
"oswald",
"other",
"others",
"outer",
"outfit",
"outposts",
"output",
"outreach",
"outwit",
"oven",
"over",
"owning",
"pagan",
"pagans",
"page",
"pages",
"painful",
"paintings",
"pale",
"pamphlets",
"pancreas",
"panthers",
"paper",
"papers",
"parent",
"parents",
"paris",
"parlor",
"party",
"passed",
"passeth",
"passing",
"paste",
"pasted",
"paste-ups",
"pastor",
"patrick",
"patron",
"patrons",
"pattern",
"paused",
"peace",
"pearly",
"pebbles",
"pecking",
"pencil",
"penis",
"people",
"people\'s",
"peoples",
"pepper\'s",
"perfect",
"perform",
"perhaps",
"perils",
"period",
"perish",
"permit",
"persia",
"person",
"persons",
"pertains",
"phase",
"photos",
"physics",
"picking",
"piece",
"pierre",
"pigbruthr",
"piles",
"pillars",
"pillow",
"pine",
"pineal",
"pioneers",
"pipe",
"pipes",
"pisces",
"pisseth",
"pissing",
"place",
"places",
"plainly",
"plane",
"planet",
"planets",
"planning",
"planted",
"planting",
"plaques",
"plaster",
"plastic",
"playboy",
"plaza",
"pleaded",
"pleasant",
"please",
"pleased",
"plumber",
"plumbing",
"plunder",
"plunged",
"podge",
"poetry",
"pogo",
"pogrom",
"pointed",
"poised",
"pole",
"polish",
"popcorn",
"pope",
"popes",
"portrait",
"possess",
"power",
"preaches",
"precepts",
"precinct",
"precious",
"prefer",
"prefers",
"pregnant",
"present",
"prettiest",
"pretty",
"pretzels",
"prevails",
"prices",
"prickle",
"pride",
"priestess",
"priesthood",
"priestly",
"primal",
"primer",
"primus",
"prince",
"printed",
"printing",
"problem",
"problems",
"proceed",
"process",
"proclaim",
"proclaims",
"product",
"profit",
"profound",
"program",
"progress",
"project",
"promptly",
"proper",
"prophet",
"prophets",
"protect",
"proudhon",
"prove",
"proved",
"proven",
"proxy",
"prudent",
"psyches",
"psychic",
"psycho",
"public",
"publish",
"puerto",
"pumped",
"punchbowl",
"pundit",
"pungent",
"pupils",
"puppets",
"pure",
"purges",
"prurient",
"purple",
"pursue",
"putting",
"putty",
"python",
"quakes",
"quantum",
"quarrels",
"quarter",
"quarters",
"quebec",
"question",
"questions",
"quetzlcoatl",
"quickly",
"quipped",
"quite",
"quote",
"quoted",
"quotes",
"rabble",
"race",
"races",
"radar",
"radio",
"rainbows",
"raised",
"rampant",
"random",
"randy",
"range",
"rangers",
"ranting",
"rape",
"rapid",
"raping",
"rapped",
"rated",
"rates",
"rather",
"rattle",
"reached",
"reader",
"readers",
"reading",
"ready",
"realism",
"really",
"reaper",
"reason",
"recent",
"record",
"records",
"recoup",
"redneck",
"refers",
"reflects",
"region",
"reject",
"relax",
"relic",
"relics",
"remain",
"remains",
"remark",
"remind",
"reminds",
"remnant",
"repeat",
"repent",
"replied",
"reply",
"report",
"reports",
"reprint",
"request",
"rescue",
"research",
"resist",
"resort",
"respect",
"respond",
"responds",
"resting",
"result",
"results",
"retort",
"return",
"returns",
"reunion",
"reveal",
"review",
"rican",
"rice",
"richard",
"richest",
"riddle",
"riddles",
"ride",
"riding",
"rifle",
"righteous",
"rightful",
"ripens",
"ripped",
"rise",
"rises",
"rising",
"risked",
"risky",
"rite",
"rites",
"ritual",
"rituals",
"rival",
"rivers",
"robert",
"robes",
"robot",
"roger",
"rogers",
"role",
"roles",
"rolled",
"rolling",
"rollins",
"roman",
"romans",
"rome",
"ronald",
"rooster",
"rooted",
"rorschach",
"rose",
"roster",
"rothchild",
"rotten",
"rouser",
"rousing",
"rubber",
"rubbing",
"rubble",
"rubes",
"rule",
"ruled",
"ruler",
"rules",
"ruling",
"rumor",
"rumors",
"rundown",
"running",
"ruthless",
"sabbah",
"sacred",
"sadly",
"safe",
"sage",
"sages",
"sainthood",
"salem",
"saloons",
"same",
"sample",
"sane",
"sanskrit",
"santa",
"satan",
"satyr",
"saucers",
"save",
"saved",
"scatter",
"scene",
"scenes",
"scheme",
"schemes",
"schizy",
"science",
"scientists",
"scolded",
"score",
"screwed",
"scribe",
"scribes",
"scruple",
"seaman",
"searched",
"searching",
"season",
"seasons",
"seated",
"seattle",
"second",
"secret",
"secrets",
"section",
"sectual",
"seeking",
"seemed",
"seldom",
"select",
"selling",
"semper",
"sending",
"sense",
"sergeant",
"serial",
"series",
"serious",
"sermon",
"serpent",
"servants",
"serve",
"served",
"serving",
"setters",
"setting",
"settle",
"seven",
"sewers",
"sewing",
"sexual",
"sexy",
"shade",
"shadow",
"shaggy",
"shake",
"shaking",
"shallow",
"shaman",
"shame",
"shape",
"share",
"sharing",
"shepard",
"shepherd",
"shines",
"shining",
"shipload",
"shithead",
"shitting",
"shooting",
"shortly",
"shouted",
"shovel",
"showed",
"showing",
"shrewdly",
"shrine",
"shriners",
"shrines",
"side",
"sided",
"sides",
"signal",
"signed",
"silent",
"silly",
"simon",
"simple",
"simply",
"sinai",
"since",
"sinful",
"singers",
"single",
"sinker",
"sinking",
"sipping",
"sire",
"sirius",
"sister",
"sisters",
"site",
"sitting",
"sixties",
"size",
"skelter",
"skinheads",
"skipping",
"slanting",
"slapped",
"slave",
"sleeping",
"slide",
"slightest",
"slightly",
"slogan",
"slogans",
"slowly",
"smaller",
"smile",
"smiles",
"smiling",
"smitten",
"smoke",
"smoothed",
"smuggling",
"snake",
"snakes",
"sneaky",
"snide",
"snipped",
"snowman",
"sober",
"social",
"sojourns",
"soldiers",
"sole",
"solve",
"solved",
"solving",
"soma",
"some",
"sooner",
"sore",
"sorrow",
"sorry",
"sothoth",
"source",
"sources",
"space",
"spaced",
"spacious",
"spake",
"spare",
"sparta",
"speaker",
"speaking",
"special",
"species",
"spelled",
"spilled",
"spinning",
"spirit",
"spirits",
"spiro",
"spite",
"spitting",
"splendid",
"spoke",
"spoken",
"sprawling",
"spreading",
"sprinkle",
"sprinkler",
"sputnik",
"squadron",
"square",
"squatting",
"stale",
"stamped",
"stampings",
"stance",
"standard",
"standing",
"starbuck",
"starbuck\'s",
"started",
"starting",
"startling",
"state",
"stated",
"states",
"station",
"statues",
"status",
"steadfast",
"stealing",
"steeping",
"stepped",
"steve",
"sticking",
"stiffer",
"stillness",
"stirring",
"stole",
"stone",
"stoned",
"stones",
"stopped",
"stores",
"stories",
"story",
"stranded",
"strange",
"stressing",
"stretches",
"stricken",
"strife",
"strobe",
"strongly",
"struggle",
"stubborn",
"student",
"students",
"studied",
"studies",
"study",
"studying",
"stupid",
"style",
"subject",
"subtle",
"suburb",
"subvert",
"success",
"suckers",
"sudden",
"suffer",
"sufi",
"suite",
"summer",
"summing",
"sunday",
"sunny",
"super",
"support",
"sure",
"surfboard",
"surfer",
"surfers",
"surfing",
"survey",
"suspect",
"swallow",
"sweetheart",
"sweetmorn",
"swiftly",
"swipe",
"swiping",
"swore",
"syaday",
"symbol",
"symbols",
"system",
"systems",
"t\'other",
"table",
"tailor",
"take",
"taken",
"taker",
"takes",
"taking",
"talent",
"talking",
"tampa",
"tantra",
"tasty",
"tattoos",
"taurus",
"taxed",
"taxes",
"teacher",
"teaches",
"teaching",
"teachings",
"tearing",
"telling",
"temple",
"temples",
"tempted",
"terra",
"terror",
"testy",
"texas",
"thankless",
"theatre",
"theme",
"themes",
"theorem",
"theory",
"there",
"there\'s",
"therein",
"thereof",
"these",
"thesis",
"thetis",
"thickest",
"thine",
"thinking",
"thirty",
"thomas",
"thornley",
"thorough",
"those",
"thoughtful",
"thousand",
"thousands",
"threaten",
"throne",
"throughout",
"throwing",
"thunder",
"thusly",
"thyself",
"tidbits",
"tide",
"tighter",
"tilton",
"time",
"times",
"timing",
"tiny",
"tired",
"tissue",
"tithes",
"title",
"titles",
"toaster",
"today",
"today\'s",
"toilet",
"tongues",
"toothbrush",
"total",
"tourist",
"toward",
"towards",
"towel",
"traced",
"trade",
"trained",
"training",
"trance",
"transport",
"trapped",
"treated",
"treaties",
"triangle",
"tribe",
"tricky",
"trigger",
"trivial",
"trojan",
"trouble",
"troubled",
"truly",
"trusted",
"trusty",
"tunic",
"turkey",
"turmoil",
"turned",
"turning",
"turnip",
"twelve",
"twenty",
"twice",
"twilight",
"twinkles",
"type",
"typed",
"typist",
"ugly",
"uncle",
"under",
"undying",
"unfold",
"union",
"unions",
"unit",
"unjust",
"unknown",
"unless",
"unpaid",
"until",
"unto",
"upon",
"upper",
"upright",
"upstart",
"urban",
"used",
"uses",
"usher",
"using",
"utter",
"valid",
"value",
"values",
"vanish",
"various",
"vennard",
"vennard\'s",
"versa",
"verse",
"verses",
"version",
"very",
"vexes",
"vibes",
"vice",
"victim",
"victims",
"viewed",
"viewing",
"village",
"virtuous",
"vision",
"visions",
"vistas",
"vivant",
"vivid",
"vocal",
"voice",
"vowels",
"wages",
"waiting",
"waitress",
"wake",
"walked",
"walking",
"wallow",
"walrus",
"wander",
"wanna",
"wanted",
"wantest",
"warmly",
"warned",
"warning",
"warnings",
"warriors",
"waseth",
"waste",
"wasted",
"watching",
"water",
"waves",
"waving",
"waxed",
"we\'re",
"we\'ve",
"weakness",
"weapon",
"wearing",
"weather",
"wedding",
"weddings",
"weekend",
"weiner",
"weirder",
"weishaupt",
"were",
"weren\'t",
"western",
"whale",
"whence",
"where",
"whereas",
"wherein",
"whether",
"while",
"whirlpools",
"whistling",
"white",
"whittier",
"whoever",
"whole",
"wholly",
"whomped",
"whose",
"wide",
"wiener",
"wife",
"wilgus",
"willing",
"wilson",
"wilson\'s",
"window",
"windows",
"wine",
"winston",
"wipe",
"wiped",
"wiping",
"wire",
"wisdom",
"wise",
"wishes",
"wison",
"within",
"without",
"wives",
"wizard",
"wolves",
"woman",
"women",
"wonder",
"wonders",
"wooden",
"worked",
"working",
"wormius",
"worried",
"worries",
"worry",
"worrying",
"worse",
"worship",
"worships",
"wrapped",
"wrapping",
"wretched",
"write",
"writer",
"writers",
"writes",
"writing",
"writings",
"written",
"wrote",
"wroughten",
"wtadza",
"xerox",
"y\'know",
"yahweh",
"ye\'ve",
"yelled",
"yelling",
"yellow",
"yeself",
"yeti",
"yorba",
"you\'re",
"you\'ve",
"younger",
"yourself",
"zambian",
"zara",
"zealous",
"zeno",
"zillion",
"zonked",
"zorba",
"zurich");


@threesyl = ("abnormail",
"abraham",
"absence",
"absolute",
"absurdists",
"acceptable",
"acceptance",
"accepted",
"accidents",
"accomplish",
"accordian",
"according",
"achieved",
"acquired",
"acronym",
"activate",
"active",
"actually",
"addition",
"additions",
"addresses",
"adequate",
"adhere",
"adjusted",
"admission",
"admitting",
"adopted",
"adulthood",
"advanced",
"advances",
"advantage",
"advertise",
"advice",
"advise",
"advisor",
"afire",
"africa",
"aftermath",
"afternoon",
"afterward",
"afterwards",
"afterword",
"agitprop",
"airplanes",
"akashic",
"albuquerque",
"alhazred",
"alike",
"alive",
"alleged",
"alliance",
"alliances",
"allowed",
"alone",
"already",
"altered",
"altering",
"ambrose",
"amending",
"amendment",
"amnesty",
"amoral",
"amuse",
"amused",
"amusing",
"anarchic",
"anarchism",
"anarchist",
"anarchists",
"anarcho",
"anarchy",
"ancestry",
"anchored",
"aneris",
"anerism",
"anerisms",
"angeles",
"animal",
"annoited",
"announced",
"another",
"answered",
"antenna",
"anthony",
"antlantean",
"anyhow",
"anymore",
"anyone",
"anything",
"anyway",
"anywhere",
"aphrodite",
"apostle",
"apostles",
"apparent",
"appeared",
"appendix",
"applicable",
"appointed",
"appreciate",
"approaching",
"appropriate",
"approved",
"apropos",
"aptitude",
"aquaitaine",
"aquarius",
"aquired",
"archangle",
"archbishop",
"archives",
"argument",
"arise",
"arose",
"arouse",
"arousing",
"arranged",
"arrival",
"arrive",
"arrived",
"arriving",
"arrogance",
"articles",
"artistic",
"ascended",
"ashamed",
"aslinger",
"aspirin",
"assemble",
"assertion",
"assigned",
"assigning",
"assume",
"assumed",
"assumption",
"assured",
"atheistic",
"athena",
"atlanta",
"atlantean",
"atlantis",
"atmosphere",
"atsugi",
"attained",
"attention",
"attitude",
"attorney",
"attraction",
"attractive",
"attribute",
"audience",
"auspices",
"australia",
"authentic",
"authored",
"authorship",
"available",
"avatar",
"avatars",
"awake",
"awarded",
"awoke",
"backfire",
"backsliders",
"balance",
"balanced",
"baptised",
"baptismal",
"barbarous",
"barefoot",
"barrage",
"bartender",
"baseball",
"baseless",
"batista",
"battery",
"bavaria",
"bavarian",
"beautiful",
"became",
"because",
"become",
"becomes",
"becoming",
"beethoven\'s",
"before",
"beginning",
"begotten",
"behavior",
"behooves",
"believe",
"believed",
"believer",
"believing",
"belonging",
"beloved",
"benares",
"benefit",
"berkeley",
"beside",
"besides",
"beware",
"bicycle",
"birthdate",
"bizarre",
"blasphemous",
"blasphemy",
"blumenkraft",
"bokonon",
"bolivar",
"bolivian",
"boomtime",
"borrowings",
"bothering",
"boutique",
"bravado",
"brazilian",
"brigadier",
"brimstone",
"broadened",
"broadsides",
"brotherly",
"bulletin",
"bureaucrat",
"bureaucrats",
"bureflux",
"business",
"buttercup",
"byzantine",
"cabbage",
"cabbages",
"cagliostro",
"calendar",
"cambodia",
"canadian",
"canine",
"cannabis",
"canonize",
"capable",
"capital",
"caplinger",
"careful",
"catholic",
"celestial",
"celine",
"century",
"certainly",
"certified",
"certify",
"cervantes",
"cessation",
"challenge",
"channeled",
"chaosopher",
"chaosopher\'s",
"character",
"characters",
"charitable",
"chartered",
"chastise",
"cheerfully",
"cherished",
"chicago",
"chimpanzee",
"chimpanzee\'s",
"chinatown",
"chinese",
"christendom",
"christopher",
"circular",
"circulate",
"circumstance",
"citizens",
"classical",
"classified",
"clattering",
"cockroaches",
"coercive",
"coincide",
"collage",
"collapse",
"collapsing",
"collecting",
"collection",
"collector",
"collectors",
"colonel",
"columbia",
"columbus",
"combined",
"commanded",
"commander",
"commanding",
"commandments",
"commerce",
"commercial",
"commitment",
"committee",
"commonly",
"communist",
"company",
"comparable",
"compare",
"competing",
"compiled",
"complaining",
"complete",
"completed",
"completes",
"completing",
"completion",
"compliment",
"composed",
"comprehend",
"compulsive",
"computer",
"computers",
"concealing",
"conceived",
"conceptual",
"concerned",
"concerning",
"concessions",
"concluded",
"conclusion",
"concubine",
"condensed",
"condition",
"conditions",
"condone",
"conducted",
"confide",
"confidence",
"confines",
"confronted",
"confronting",
"confucius",
"confuflux",
"confuse",
"confused",
"confusing",
"confusion",
"conjunction",
"conscience",
"consciousness",
"consented",
"consequent",
"consider",
"conspiring",
"constable",
"constantly",
"constricted",
"consulted",
"containing",
"contented",
"contention",
"continent",
"continue",
"continued",
"continues",
"continuum",
"contraband",
"contradict",
"contradicts",
"contrary",
"contrasting",
"controlled",
"convenient",
"converging",
"converted",
"converter",
"converting",
"conviction",
"convictions",
"convinced",
"copyright",
"cornerback",
"cornered",
"corporal",
"corporate",
"corrections",
"correctly",
"corridors",
"corruption",
"costuming",
"counteract",
"countergame",
"courage",
"courtesy",
"coverage",
"cowardice",
"creative",
"credited",
"critical",
"cubicle",
"culminate",
"culture",
"cultures",
"curator",
"currency",
"currently",
"cynical",
"cynicism",
"damascus",
"dampening",
"dangerous",
"darkened",
"darknesses",
"debate",
"decade",
"decades",
"deceased",
"deceived",
"decide",
"decided",
"decides",
"declare",
"declared",
"dedicate",
"defense",
"deficit",
"defined",
"defining",
"delegate",
"deleted",
"delighted",
"delinquents",
"deliver",
"delivers",
"deluded",
"delusion",
"delusions",
"demanded",
"demanding",
"demonstrate",
"denizens",
"department",
"depicted",
"depressions",
"deprived",
"derived",
"description",
"desecrate",
"deserving",
"designed",
"desirable",
"desire",
"desired",
"desperate",
"despite",
"despondent",
"destruction",
"destructive",
"detested",
"develop",
"device",
"devise",
"devised",
"devival",
"devote",
"devotion",
"devotive",
"diagonal",
"diagonals",
"dictate",
"dictated",
"differed",
"difference",
"different",
"dilemma",
"dilligent",
"dillinger",
"dillinger\'s",
"diluting",
"dimension",
"diogenes",
"direction",
"directly",
"director",
"disappear",
"disarray",
"disasters",
"discerned",
"discharged",
"disciple",
"disciples",
"discipline",
"discoflux",
"discordant",
"discordia",
"discordia\'s",
"discordian",
"discordians",
"discourage",
"discover",
"discovers",
"discussed",
"discussion",
"disease",
"disguise",
"disguised",
"disorder",
"dispenser",
"dispersed",
"disruptive",
"dissolve",
"dissolved",
"distance",
"distinction",
"distressed",
"distribute",
"disturbance",
"disturbed",
"diverse",
"diverting",
"divided",
"divine",
"divisible",
"division",
"divisions",
"divorce",
"divulge",
"doctrine",
"document",
"documents",
"dominate",
"dominion",
"donations",
"duration",
"dynamic",
"easily",
"ecstasy",
"edition",
"editions",
"effective",
"elayne",
"element",
"elements",
"elephants",
"eleven",
"eligible",
"elite",
"elites",
"elsewhere",
"emerged",
"emerges",
"eminent",
"emotions",
"emperor",
"employment",
"enclaves",
"encounter",
"encounters",
"encourage",
"endeavor",
"endeavours",
"endure",
"enduring",
"enemies",
"enemy",
"energy",
"engage",
"engaged",
"engine",
"engraved",
"engrossed",
"enhanced",
"enormous",
"entered",
"enterprise",
"entire",
"entranced",
"entrenched",
"entropy",
"entrusted",
"entwine",
"epistle",
"equally",
"equations",
"equipped",
"erebus",
"erisian",
"erisians",
"eristic",
"erosion",
"erotic",
"erskine",
"erupting",
"escalate",
"escape",
"escapism",
"eschaton",
"essential",
"establish",
"estates",
"ethereal",
"etonia",
"etruscan",
"europe",
"evanston",
"evasive",
"evening",
"eventual",
"every",
"everyone",
"evidence",
"evolve",
"exactly",
"exalted",
"example",
"excellent",
"excepting",
"exceptions",
"exchange",
"exchanging",
"exciting",
"exclaimed",
"exclusive",
"exhausted",
"exile",
"existed",
"existence",
"existent",
"existing",
"expanded",
"expanding",
"expense",
"experience",
"explained",
"explicit",
"exploded",
"exploited",
"expose",
"exposed",
"exposing",
"expressed",
"exquisite",
"extended",
"extracted",
"extrovert",
"faltering",
"familiar",
"family",
"fanatics",
"fantasies",
"fantasy",
"fanzine",
"fanzines",
"farcical",
"fashioned",
"fateful",
"favorite",
"fearlessly",
"features",
"federal",
"fellowship",
"female",
"females",
"fenderson",
"fenderson\'s",
"fendersons",
"fervently",
"fictional",
"figure",
"finally",
"finance",
"financial",
"finery",
"fingered",
"finished",
"finishing",
"finnegan\'s",
"fixtures",
"flanneled",
"flattered",
"flattering",
"florida\'s",
"followed",
"followers",
"following",
"foolishly",
"foolishness",
"forasmuch",
"forbidden",
"foregoing",
"forehead",
"foremost",
"forever",
"forgive",
"forgotten",
"formatting",
"forthcoming",
"fortified",
"fortune",
"forwarded",
"foundation",
"foundations",
"foxholes",
"franchise",
"franciscans",
"francisco",
"francisco\'s",
"freelance",
"frequently",
"frustrating",
"frustration",
"funeral",
"furnished",
"furniture",
"fusilade",
"futile",
"future",
"galaxy",
"garbage",
"garfunkel",
"garrison",
"garrison\'s",
"gathered",
"gemini",
"general",
"generate",
"generic",
"generous",
"genesis",
"genetics",
"gentlemen",
"genuine",
"geometry",
"gestation",
"godawful",
"goddamned",
"goddesses",
"gonfolons",
"good/evil",
"government",
"governments",
"graceful",
"gradually",
"grandchildren",
"grasshopper",
"gratifying",
"gratitude",
"gregorian",
"gregory",
"greyface",
"greyfaced",
"grindlebone",
"grocery",
"grotesque",
"guaranteed",
"guerilla",
"guerrilla",
"guerrillas",
"guilliame",
"gullible",
"gunderloy",
"gurdjieffians",
"gymnastics",
"hallowed",
"hamburger",
"hamilton",
"handsome",
"happened",
"happening",
"happenings",
"happenstance",
"harmony",
"harrowing",
"hashishim",
"hateful",
"headmaster",
"headquarters",
"heisenberg\'s",
"hemisphere",
"henceforth",
"hereby",
"heresies",
"heretics",
"herewith",
"hierarchy",
"hindered",
"hindquarters",
"historic",
"history",
"hollering",
"holyday",
"holydays",
"holyname",
"homage",
"honestly",
"honorable",
"hopeless",
"horace",
"horoscope",
"horseshit",
"houdini",
"hovering",
"however",
"humanism",
"humorless",
"humorous",
"hurricane",
"hygiene",
"hyperspace",
"hypnotic",
"idealism",
"ideogram",
"idiotic",
"ignatius",
"ignorant",
"ignotius",
"ignotum",
"illegal",
"illusion",
"image",
"images",
"imagine",
"imbalance",
"imbecile",
"immature",
"immediate",
"immersed",
"immersion",
"immortal",
"immutable",
"imparted",
"impatient",
"impending",
"imperial",
"importance",
"important",
"impossible",
"imposter",
"impressed",
"impression",
"imprison",
"improving",
"inane",
"incessant",
"inclined",
"inclosed",
"include",
"included",
"including",
"increase",
"increased",
"increasing",
"incredible",
"indebted",
"indiana",
"indoctrine",
"induce",
"indulgent",
"indulging",
"industrial",
"ineffable",
"infamous",
"inference",
"infidel",
"infidels",
"infinite",
"influence",
"influenced",
"influences",
"influential",
"informed",
"ingredients",
"inhabit",
"inhalable",
"inhales",
"initiate",
"innate",
"innocent",
"inquiries",
"inscribed",
"inscription",
"inside",
"insipid",
"insisting",
"inspecting",
"inspection",
"inspired",
"inspiring",
"instance",
"instantly",
"instructed",
"insulting",
"integer",
"integers",
"intended",
"intense",
"intensive",
"intention",
"intentions",
"interest",
"internal",
"internet",
"interview",
"intimate",
"intrigued",
"intriguing",
"introduce",
"invented",
"inverted",
"invested",
"investment",
"invisible",
"invite",
"invited",
"inviting",
"involve",
"involves",
"ironclad",
"ismaelian",
"january",
"japanese",
"jefferson",
"jehovah",
"jepordize",
"jeroboam",
"kallisti",
"kennedy",
"kinderscheisse",
"kirharesh",
"knowledge",
"labeled",
"laboring",
"labyrinth",
"lamented",
"lamenting",
"languages",
"laundromat",
"lawmakers",
"laxative",
"lecture",
"legally",
"legendry",
"legionnaire",
"letterhead",
"lexicon",
"liberties",
"liberty",
"libraries",
"library",
"license",
"lichtenberg",
"lieutenant",
"lieutenants",
"lifeboat",
"lifelong",
"lifestyle",
"lifetime",
"likely",
"likeness",
"limited",
"lionville",
"listener",
"listeners",
"listening",
"locate",
"located",
"locating",
"location",
"locations",
"lonely",
"loompanics",
"lopsided",
"louisiana",
"lovecraft",
"lucifer\'s",
"lunatic",
"machine",
"machines",
"magazine",
"magician",
"magicians",
"maintained",
"maintenance",
"majesty",
"majesty\'s",
"malaclypse",
"maladay",
"malicious",
"malignant",
"malleable",
"manage",
"mandrake",
"manhattan",
"maniacal",
"manifest",
"marine",
"marlboro",
"marriage",
"marriages",
"marvelous",
"masonic",
"mastering",
"material",
"mature",
"maxima",
"maximum",
"meaningless",
"meantime",
"meanwhile",
"medellin",
"medical",
"medieval",
"medieval",
"meditate",
"membership",
"memorize",
"memory",
"menelaus",
"mentioned",
"mentioning",
"merely",
"mescaline",
"message",
"messages",
"messenger",
"metallic",
"metanoiacs",
"metaphors",
"mexico",
"microscope",
"midwestern",
"mightyness",
"mimeograph",
"mimeographs",
"minister",
"ministers",
"minute",
"minutes",
"mischievous",
"misconduct",
"miserable",
"misguided",
"misnomer",
"misplaced",
"misquoted",
"mistake",
"mistaken",
"misused",
"mockery",
"modicum",
"modified",
"mojoday",
"moniker",
"montage",
"moonshine",
"moralist",
"mordecai",
"moreover",
"mormonism",
"morristown",
"movement",
"movements",
"multiples",
"multiply",
"mustered",
"mysteree",
"mysterees",
"mysteries",
"mysterious",
"mystery",
"mystical",
"mystify",
"mystique",
"nameless",
"namesake",
"napalming",
"national",
"native",
"natural",
"nature",
"nefarious",
"negative",
"neglected",
"negligible",
"neolithic",
"neophyte",
"neutralize",
"newspapers",
"nickname",
"nineteen",
"nirvana",
"nobody",
"nonprophet",
"nonsense",
"notary",
"notice",
"noticed",
"notices",
"novelty",
"nowadays",
"nowhere",
"numbered",
"numbering",
"numeral",
"nunneries",
"oblivion",
"obscene",
"obscure",
"observe",
"obstacle",
"obstinate",
"obviously",
"occasion",
"occasions",
"occultism",
"occultists",
"occupant",
"occurred",
"offender",
"offensive",
"offered",
"offering",
"office",
"officer",
"officers",
"offices",
"official",
"olympian",
"olympus",
"ominous",
"opened",
"opera",
"opovig",
"opponents",
"opposed",
"opposing",
"opposite",
"oppressed",
"oppressive",
"orange",
"orator",
"orators",
"ordained",
"ordered",
"orderly",
"ordure",
"oregon",
"organize",
"origin",
"origins",
"orthodox",
"otherwise",
"outcome",
"outhouse",
"outlawing",
"outpouring",
"outrageous",
"outrages",
"outside",
"outstanding",
"overmen",
"pacifism",
"pacifist",
"paganism",
"paganisms",
"panama",
"paneled",
"parable",
"paradise",
"paranoid",
"paranoids",
"paratheo",
"partake",
"passages",
"passable",
"passive",
"pastime",
"pasture",
"patently",
"patronage",
"patterson",
"penalties",
"pentabarf",
"pentagon",
"pentagons",
"pentaverse",
"perception",
"perchance",
"perfection",
"perfectly",
"performed",
"perished",
"permissible",
"permission",
"permitted",
"perpetual",
"perplexed",
"perplexing",
"persecute",
"persistent",
"personal",
"perspective",
"persuade",
"persuasion",
"pertinent",
"perverted",
"physical",
"physicist",
"pickering\'s",
"pictures",
"pilgrimage",
"pirated",
"plagiarism",
"plantation",
"plausible",
"pleasure",
"plowshares",
"poisoning",
"police",
"polite",
"politics",
"polyandry",
"ponderous",
"popular",
"portuguese",
"position",
"positions",
"positive",
"possible",
"possibly",
"potential",
"powerful",
"practical",
"practice",
"practiced",
"preceded",
"preconscious",
"predicted",
"predictions",
"preferable",
"preference",
"preferred",
"pregnancy",
"produced",
"preparing",
"presence",
"presence",
"presented",
"presently",
"presided",
"president",
"presiding",
"pressure",
"prestige",
"pretender",
"prevailing",
"prevented",
"previously",
"priest/priestess",
"principia",
"principias",
"principle",
"principles",
"private",
"probable",
"probably",
"proceeded",
"proceeding",
"produced",
"producing",
"profane",
"professor",
"profitable",
"progeny",
"progressive",
"prolonged",
"promised",
"promote",
"promoted",
"promoting",
"promotion",
"pronounced",
"properties",
"property",
"propose",
"proposes",
"protection",
"protector",
"protrudes",
"provided",
"providing",
"prudence",
"psychotic",
"published",
"publisher",
"publishing",
"pungenday",
"punished",
"purpose",
"pyramid",
"quibble",
"quadrata",
"qualified",
"qualifies",
"qualify",
"quandary",
"quantities",
"quixote",
"quixotic",
"rapidly",
"rational",
"ravenhurst",
"ravenhurst\'s",
"rayville",
"readership",
"readily",
"realise",
"realised",
"realistic",
"realities",
"reality",
"realize",
"realized",
"reasonable",
"rebellious",
"recalling",
"receive",
"received",
"receiving",
"recently",
"recital",
"reciting",
"reckonings",
"recognize",
"recommend",
"reconcile",
"recorded",
"recorder",
"recruited",
"redeeming",
"reduces",
"reference",
"referring",
"refining",
"reformed",
"refraining",
"refuge",
"refute",
"regarding",
"regardless",
"regular",
"regulate",
"rehearsal",
"rejected",
"rejoice",
"relate",
"relation",
"relations",
"relative",
"release",
"released",
"relevant",
"religion",
"religions",
"religious",
"remained",
"remarkable",
"remember",
"remembers",
"reminded",
"remonstrate",
"remote",
"renaissance",
"renounce",
"repeated",
"repeating",
"repelled",
"replaced",
"reporters",
"reporting",
"represent",
"represents",
"reproduce",
"requested",
"require",
"required",
"requires",
"requiring",
"resemblance",
"resembled",
"resembles",
"reserve",
"reserved",
"reside",
"residence",
"resident",
"resolve",
"resolved",
"resolving",
"resorted",
"resources",
"respective",
"response",
"restricted",
"restructure",
"resulted",
"retiring",
"returned",
"returning",
"revealed",
"revered",
"reverence",
"reverend",
"reversal",
"reverse",
"reversed",
"revised",
"revision",
"revived",
"revoked",
"rewritten",
"rhetoric",
"ridicule",
"ritualism",
"romance",
"roosevelt",
"rotate",
"rotated",
"rotundus",
"ruminate",
"rybicki",
"sacrament",
"sacraments",
"safeguard",
"sagacious",
"salesman",
"salute",
"salvation",
"sandalwood",
"sanity",
"sarducci",
"satanic",
"satire",
"satiric",
"saturday",
"scarcely",
"scattered",
"schemata",
"schilmemma",
"scholarly",
"scripture",
"scriptures",
"scrutinize",
"scrutiny",
"secession",
"secretly",
"sectioning",
"secure",
"seduction",
"selected",
"selection",
"selective",
"selectric",
"separate",
"september",
"sequence",
"sequitur",
"seriously",
"seriousness",
"service",
"seventy",
"several",
"shopkeepers",
"shoreline",
"shortage",
"shortened",
"sidekick",
"sidewalk",
"silence",
"similar",
"simplified",
"sincere",
"singular",
"sinister",
"situation",
"skeleton",
"skeletons",
"skeptical",
"slackmaster",
"societies",
"society",
"socrates",
"socratic",
"solace",
"solely",
"solemnly",
"solicit",
"solomon",
"somehow",
"someone",
"something",
"somewhat",
"somewhere",
"sovereign",
"spatially",
"specialist",
"specific",
"specimens",
"spirited",
"spiritless",
"spiritual",
"sponsored",
"stagnation",
"statement",
"statements",
"statistics",
"steadfastly",
"sterile",
"stijevoort",
"straightjacket",
"structure",
"subgenii",
"subgenius",
"submarine",
"submission",
"submerging",
"subscribed",
"subscribes",
"subsequent",
"substance",
"substitute",
"subverted",
"successful",
"succumbed",
"suddenly",
"suffering",
"suffice",
"sufficient",
"suggestion",
"sullivan",
"summary",
"supported",
"supposed",
"suppressed",
"supreme",
"surprise",
"surely",
"surprise",
"surrealism",
"surrealists",
"surrender",
"surrounding",
"surroundings",
"suspended",
"suspension",
"suspicion",
"swaggering",
"swahili",
"swallowed",
"swallowing",
"switzerland",
"syadasti",
"syadastian",
"syannasti",
"symbolic",
"symbolism",
"symbolize",
"sympathize",
"sympathy",
"symphony",
"syndicate",
"talented",
"tapestry",
"techniques",
"telegram",
"telephone",
"teletype",
"temptation",
"tendency",
"terrible",
"terrestrial",
"testament",
"tetherball",
"themselves",
"theologian",
"theologians",
"theologies",
"theology",
"thereby",
"therefore",
"thereupon",
"tibetan",
"timely",
"timothy",
"titanium",
"tobacco",
"together",
"tomorrow",
"topanga",
"tormented",
"tormentor",
"torrential",
"totally",
"trademarks",
"tradition",
"transformer",
"transition",
"translate",
"translated",
"transmitted",
"transpired",
"travelers",
"traveling",
"travesty",
"treasury",
"tribune",
"tricycle",
"trilogy",
"tunnelled",
"tutored",
"typical",
"tyranny",
"ministry",
"ukulele",
"ukraine",
"ulysses",
"umbrella",
"unable",
"unarmed",
"unbalance",
"unblushing",
"unbreakable",
"uncover",
"undated",
"undaunted",
"underground",
"understand",
"understands",
"understood",
"underworld",
"unhappy",
"unicorn",
"unicorns",
"unified",
"unique",
"united",
"unity",
"universe",
"unlike",
"unmixed",
"unseemly",
"unswerving",
"unusual",
"unwashed",
"upside",
"useful",
"ushered",
"usually",
"usurped",
"uterus",
"uttering",
"utterly",
"vaguely",
"vahallah",
"valusia",
"vanished",
"vapidness",
"variations",
"varieties",
"variety",
"vehemence",
"vehicle",
"venereal",
"venice",
"venture",
"ventures",
"verdanta",
"verily",
"versatile",
"vertical",
"vibration",
"vibrations",
"victoria",
"victories",
"vigilance",
"violation",
"virtually",
"visible",
"visited",
"visually",
"vitamin",
"vitriolic",
"vocations",
"volcanoes",
"volume",
"volumes",
"volunteer",
"vonnegut",
"wallowing",
"wandered",
"wandering",
"warfare",
"warpitude",
"washington",
"welcome",
"werewolf",
"westerners",
"whatever",
"whatsoever",
"whenever",
"whereabouts",
"wherefore",
"whereupon",
"wherever",
"whimsical",
"widely",
"wilderness",
"willamette",
"willamette",
"windowsill",
"wintertime",
"wiseman",
"witnessed",
"wondered",
"wonderful",
"woodpecker",
"worthwhile",
"yesterday\'s",
"yossarian",
"yourselves",
"zaraday",
"zarathud",
"zarathud\'s",
"zenarchist",
"zenarchists",
"zenarchy" );


@foursyl = ("abbreviated",
"abominable",
"absolutely",
"absurdity",
"abyssinia",
"academic",
"academy",
"acapulco",
"accomplished",
"achievement",
"acknowledging",
"acropolis",
"activated",
"activating",
"activities",
"activity",
"administry",
"adolescence",
"adultery",
"advancement",
"aedificat",
"affiliation",
"affirmation",
"affirmations",
"alexander",
"allegedly",
"allegory",
"aluminum",
"ambivalent",
"america",
"american",
"amnerica",
"amusements",
"aneristic",
"aneristics",
"anonymous",
"antithesis",
"anybody",
"aphrodite\'s",
"apostilic",
"apparatus",
"apparently",
"application",
"applications",
"aquilonia",
"arbitrary",
"arbitrator",
"artificial",
"ascertained",
"association",
"associates",
"astonishing",
"authorities",
"authority",
"authorized",
"automobile",
"autonomy",
"awakening",
"awareness",
"babylonian",
"bavariati",
"beforelife",
"belaboring",
"bewildering",
"bodhisattva",
"bureaucracy",
"businessman",
"cabalablia",
"calculation",
"california",
"californians",
"captivity",
"carborundum",
"carefully",
"categories",
"catastrophic",
"caterpillar",
"caterpillars",
"ceremonies",
"ceremony",
"certificate",
"christianity",
"circulating",
"circulation",
"circumference",
"circumstances",
"colorado",
"combinations",
"commendation",
"commentaries",
"commercialism",
"community",
"comparative",
"compassionate",
"competition",
"completely",
"computations",
"concentration",
"confidential",
"consequently",
"considerable",
"considered",
"considering",
"consistently",
"conspiracy",
"conspirators",
"constantinople",
"constellations",
"consternation",
"consultations",
"consumerism",
"consumerist",
"contemplated",
"contemplates",
"contentedly",
"contradicted",
"contradictions",
"contributed",
"contributions",
"controversy",
"conventional",
"conversation",
"conversations",
"coordinated",
"copulated",
"copyrighted",
"corporation",
"correspondent",
"cosmogony",
"cosmology",
"counterpullpush",
"counterpushpull",
"creativity",
"cryptographic",
"culminated",
"cultureshock",
"cumpulsory",
"customary",
"cybernetics",
"cylindrical",
"decorated",
"dedicated",
"defamation",
"definition",
"delegates",
"democratic",
"demonstration",
"desecration",
"designated",
"designations",
"determined",
"developing",
"development",
"developments",
"diabolical",
"differently",
"diminishing",
"disagreement",
"disappearance",
"disappointed",
"disappointing",
"disappointment",
"discordianism",
"discordianship",
"discovered",
"discriminate",
"disordered",
"disregarding",
"distinguished",
"distributed",
"distributing",
"distribution",
"divinely",
"divinity",
"dominated",
"domination",
"determination",
"economic",
"educating",
"education",
"elaborate",
"embezzled",
"embodiment",
"emphasizes",
"encountered",
"encouraged",
"encrustation",
"enlightened",
"enlightenment",
"enslavement",
"entirely",
"enveloped",
"environment",
"epilepsy",
"episkopos",
"episodes",
"equivalent",
"eradicate",
"erisianism",
"escalation",
"esoteric",
"especially",
"established",
"establishing",
"establishment",
"eternity",
"evangelists",
"evaporate",
"eventually",
"everglades",
"everyday",
"everything",
"everywhere",
"evidently",
"examining",
"exceptional",
"executing",
"experienced",
"experiment",
"explanations",
"expropriation",
"extinguished",
"fanatical",
"figurative",
"forefather",
"forgetfulness",
"formulated",
"formulation",
"fundamental",
"furtively",
"genealogy",
"genealogy",
"generally",
"generation",
"generations",
"genuinely",
"geometrician",
"harlequinists",
"hauptscheissmeister",
"headquartered",
"heretical",
"heretofore",
"hesitates",
"historical",
"honorary",
"horizontal",
"humanity",
"humility",
"humorously",
"hypocrates",
"hypocrisy",
"hypothesis",
"identifying",
"identities",
"identity",
"illuminate",
"illuminoids",
"illusory",
"illustrated",
"illustrative",
"imitations",
"immanentize",
"immortalis",
"impersonal",
"importantly",
"imposition",
"impositions",
"incidences",
"inclination",
"incompetence",
"incorporate",
"incorrigible",
"increasingly",
"independent",
"indicated",
"indicates",
"indicating",
"indigestion",
"indirectly",
"individual",
"individuals",
"indulgences",
"infiltrated",
"information",
"informative",
"infuriated",
"inhabited",
"inherited",
"initiated",
"initiation",
"injustices",
"insanity",
"inspiration",
"institution",
"integrated",
"integration",
"integrity",
"intellectual",
"intelligence",
"intelligent",
"intelligence",
"intensified",
"interested",
"interesting",
"interrupted",
"introduced",
"introducing",
"introduction",
"irrelevant",
"irreligious",
"irreverent",
"isolated",
"jerusalem",
"legalistic",
"legionnaires",
"legislative",
"liberation",
"libertarian",
"lifetimes",
"lingananda",
"literary",
"literates",
"literature",
"literatus",
"localized",
"logically",
"lucidity",
"magazines",
"magnificent",
"manifestation",
"majority",
"malcontented",
"male/female",
"malignatius",
"malignatus",
"malingerer",
"maltafarians",
"maneuvered",
"manifested",
"manifesto",
"manufacture",
"marginalia",
"marijuana",
"masquerading",
"masturbation",
"materialism",
"mediocrity",
"meditated",
"meditating",
"meditation",
"metamorhpics",
"metamystics",
"metaphorics",
"metaphysics",
"military",
"mimeography",
"miraculous",
"miscellaneous",
"misconception",
"missionaries",
"missionary",
"mistakenly",
"misunderstood",
"momomoto",
"momomoto\'s",
"monogamous",
"monopoly",
"motherfucker",
"motivation",
"multitudes",
"mungojerry",
"mythology",
"naturally",
"necessary",
"negatives",
"negativism",
"neognostical",
"nevertheless",
"nonattacking",
"nonexistent",
"numerical",
"objectives",
"obligations",
"observation",
"observations",
"occasional",
"okinawa",
"ontological",
"ontology",
"operating",
"operation",
"operator",
"opposites",
"opposition",
"ordinary",
"ordinated",
"ordination",
"ordinations",
"organized",
"original",
"overpower",
"overwhelming",
"paleolithic",
"palindromic",
"pandaemonium",
"parenthesis",
"participants",
"particular",
"patamunzo",
"persecution",
"personages",
"personally",
"perspectives",
"perversity",
"pessimistic",
"phenomenon",
"philosopher",
"philosophers",
"philosophies",
"philosophy",
"pilgrimages",
"planetary",
"platitudes",
"plurality",
"polarity",
"political",
"politician",
"politicians",
"polyfather",
"polygamy",
"polygyny",
"polymorphous",
"pomposity",
"population",
"pornography",
"posterity",
"paradoxical",
"precisely",
"preparation",
"preparations",
"prescriptures",
"presidential",
"primarily",
"privileges",
"proclamation",
"professional",
"prohibited",
"prohibition",
"pronouncement",
"propaganda",
"propensity",
"proposition",
"prosecutors",
"proselytes",
"prostitution",
"provocation",
"psychedelic",
"publication",
"pyrotechnics",
"pythagoras",
"randomfactor",
"recognition",
"recognized",
"recognizes",
"recommended",
"reconstructed",
"redundancy",
"references",
"refutation",
"registered",
"reincarnated",
"relationship",
"relocation",
"repeatedly",
"repetition",
"repetitive",
"repetition",
"reproduced",
"republican",
"reputation",
"respectfully",
"resurrection",
"revelation",
"revelations",
"reverently",
"reversity",
"revolution",
"revolutions",
"rewardingly",
"ridiculous",
"rigoletto",
"sacrifices",
"sacramento",
"satirical",
"satisfaction",
"saturated",
"secretarial",
"security",
"semantical",
"seminarians",
"separation",
"serenity",
"sexuality",
"shakespeare\'s",
"significance",
"significant",
"sociologist",
"solitary",
"somebody",
"sometimes",
"sonnensystem",
"sonofabitch",
"spectacular",
"spirometer",
"stability",
"standardized",
"subgeniusism",
"substantially",
"sufficiently",
"supposition",
"surreptitious",
"symbolized",
"symbolizes",
"technically",
"technocracy",
"technology",
"television",
"temporally",
"temporary",
"terminated",
"termination",
"testimonials",
"theoriticia",
"tiltology",
"traditional",
"transformation",
"tribulation",
"typewriter",
"ubiquitous",
"ululation",
"unbalanced",
"unclassified",
"uncovered",
"uncredited",
"uncultured",
"understandable",
"understanding",
"undesirable",
"undesired",
"undoubtedly",
"unemployment",
"unexplained",
"unfavorable",
"unforgettable",
"unfortunate",
"unhindered",
"universal",
"universes",
"unlimited",
"unreasonable",
"unrelated",
"unrepentant",
"unsatisfied",
"unscheduled",
"unsurpassable",
"unsuspecting",
"unsympathetic",
"untimely",
"unusually",
"valentine\'s",
"vicinity",
"vigilantes",
"vindicated",
"virginity",
"vocational",
"werewolves",
"whorehouses",
"winebagos",
"xerography");


@fivesyl = ("additionally",
"administration",
"advertisement",
"annihilation",
"antagonistic",
"anthologized",
"anthropologist",
"anthropologists",
"apocalyptic",
"assassination",
"assimilation",
"astrological",
"cavaktavyasca",
"certificates",
"characteristic",
"characteristics",
"civilization",
"clarification",
"classification",
"communications",
"congratulating",
"consideration",
"constitutional",
"definitely",
"degenerates",
"demonology",
"denominations",
"determination",
"deterministic",
"differentiation",
"dilapidated",
"discouragement",
"dishonorary",
"disorganized",
"disorganizer",
"documentary",
"effectively",
"elaborated",
"elucidation",
"encouragement",
"episkoposes",
"episkopotic",
"epistolary",
"eristocracy",
"evangelical",
"everybody",
"exaggerated",
"examination",
"exclusively",
"extratemporal",
"familiarity",
"fortunately",
"hallucinations",
"hypnotically",
"illegitimo",
"illuminated",
"illuminati",
"illumination",
"illuminatus",
"illuminized",
"imagination",
"immanentizing",
"immediately",
"impersonating",
"incidentally",
"incorporated",
"inefficiency",
"inexorably",
"inhumanity",
"intelligentsia",
"interfactional",
"intergalactic",
"interpretations",
"investigation",
"investigators",
"laboratory",
"manifestation",
"manifestations",
"masturbatory",
"mathematical",
"methamatician",
"mediterranea",
"metaphysical",
"metropolitan",
"misunderstanding",
"momentarily",
"multiplication",
"necronomicon",
"occasionally",
"order/disorder",
"organization",
"organizations",
"originally",
"originating",
"overwhelmingly",
"paradoxical",
"paraphysical",
"participating",
"particularly",
"personality",
"phantasmagoria",
"philosophical",
"politically",
"popularized",
"positively",
"probability",
"proliferation",
"propagandizing",
"psychological",
"qualifications",
"recommendations",
"regurgitation",
"revitalizes",
"semiliterate",
"sensationalist",
"serious/humorous",
"signifigicant",
"simultaneously",
"solidarity",
"sophisticated",
"specifically",
"specification",
"specifications",
"spirituality",
"subdivisionwhere",
"supersalesman",
"syadavaktavya",
"synchronicity",
"technoboredom",
"temporarily",
"thermodynamics",
"traditionally",
"transgressicuted",
"transubstantiation",
"underpowered",
"undistinguished",
"unenlightened",
"uniformity",
"universities",
"unnecessary",
"unquestionably",
"unsanitary",
"unsolicited");
}

# The script ENDS.

